Updating YUI for vBulletin 3.8

Note: I have also posted this at vbulletin.org

In vBulletin 4, the developers recently upgraded the bundled YUI version to 2.9.0 from 2.7.0. Since vB 3.8 is EOL, I found a way to manually update the bundled YUI version. I’ve tested vB 3.8 with YUI 2.9.0 as much as I could, and did not run into any problems.

Changes since 2.7.0 (mainly “Animation”, “Connection”, “DragDrop/Drag & Drop”, “Yahoo”):

2.9.0: http://yuilibrary.com/projects/yui2/wiki/ReadMe/Rollup_2.9.0
2.8.0: http://yuilibrary.com/projects/yui2/wiki/ReadMe/Rollup_2.8.0

2.9.0 contains fixes for IE9, among others.

There is not a way to move from 2.x to 3.x yet for YUI given the extensive amount of changes that would be needed in vBulletin… maybe one day. šŸ˜‰

Anyway, to update, follow these steps:

  1. Backup your current YUI folder. It is located at /clientscript/yui/.
  2. Download YUI 2’s latest version (currently 2.9.0) by going to: http://developer.yahoo.com/yui/2/ – you need to select “Full Developer Kit”.
  3. Once downloaded, extract to your hard drive.
  4. Open the resulting /yui_2.9.0/yui/ folder (or the version you downloaded) and find the build folder.
  5. Copy the following files to your forum root. You will need to allow them to overwrite.
    /animation/animation-min.js          => /your forum root/clientscript/yui/animation/animation-min.js
    /connection/connection-min.js        => /your forum root/clientscript/yui/connection/connection-min.js
    /connection/connection-min.js        => /your forum root/clientscript/yui/connection.js
    /dragdrop/dragdrop-min.js            => /your forum root/clientscript/yui/dragdrop/dragdrop-min.js
    /yahoo-dom-event/yahoo-dom-event.js  => /your forum root/clientscript/yui/yahoo-dom-event/yahoo-dom-event.js
    /yahoo-dom-event/yahoo-dom-event.js  => /your forum root/clientscript/yui/yahoo-dom-event.js
  6. Edit /includes/class_core.php and find:
    define('YUI_VERSION', '2.7.0');

    replace with:

    define('YUI_VERSION', '2.9.0');


And there you go, you have the latest and greatest YUI 2.x.

Eric Sizemore

About The Author

Iā€™m a 28 year old Web Developer, Programmer, and Domainer. I specialize in PHP and MySQL, and have used both extensively since early 2005.

No Comments

Leave A Reply